Subject: Re[2]: [PATCH 11/11] ppc440spe-adma: ADMA driver for PPC440SP(e) systems

From: Yuri Tikhonov <[email-masked]>
Date: Tue, 9 Dec 2008 04:08:44 +0300

Hello Josh,

 If you are still intending to review our ppc440spe ADMA driver 
(thanks in advance if so), then please use the driver from my latest 
post as the reference:

 http://ozlabs.org/pipermail/linuxppc-dev/2008-December/065983.html

since this has some updates relating to the November version.

On Thursday, November 13, 2008 you wrote:

> On Thu, 13 Nov 2008 20:50:43 +0300
> Ilya Yanok <[email-masked]> wrote:

>> Josh Boyer wrote:
>> > On Thu, Nov 13, 2008 at 06:16:04PM +0300, Ilya Yanok wrote:
>> >   
>> >> Adds the platform device definitions and the architecture specific support
>> >> routines for the ppc440spe adma driver.
>> >>
>> >> Any board equipped with PPC440SP(e) controller may utilize this driver.
>> >>
>> >> Signed-off-by: Yuri Tikhonov <[email-masked]>
>> >> Signed-off-by: Ilya Yanok <[email-masked]>
>> >>     
>> >
>> > Before I really dig into reviewing this driver, I'm going to ask you as simple
>> > question.  This looks like a 1/2 completed port of an arch/ppc driver that uses
>> > the device tree (incorrectly) to get the interrupt resources and that's about it.
>> > Otherwise, it's just a straight up platform device driver.  Is that correct?
>> >   
>> 
>> Yep, that's correct.

> OK.

>> > If that is the case, I think the driver needs more work before it can be merged.
>> > It should get the DCR and MMIO resources from the device tree as well.  It should
>> > be binding on compatible properties and not based on device tree paths.  And it
>> > should probably be an of_platform device driver.
>> >   
>> 
>> Surely, you're right. I agree with you in that this driver isn't ready
>> for merging. But it works so we'd like to publish it so interested
>> people could use it and test it.

> And that's fine.  I just wanted to see where you were headed with this
> one for now.  I'll try to do a review in the next few days.  Thanks for
> posting.

> josh
> --
> To unsubscribe from this list: send the line "unsubscribe linux-raid" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

 Regards, Yuri

 --
 Yuri Tikhonov, Senior Software Engineer
 Emcraft Systems, www.emcraft.com